apiVersion: apps/v1
kind: Deployment
metadata:
  name: hugo-static-web-site
spec:
  selector:
    matchLabels:
      app: hugo-static-web-site
  replicas: 1
  template:
    metadata:
      labels:
        app: hugo-static-web-site
    spec:
      containers:
      - name: hugo-static-web-site
        image: registry.gitlab.com/k8spin-open/examples/hugo-static-web-site:latest
        ports:
        - containerPort: 8043
